Module | Lisp
In: | lib/facets/more/lisp.rb lib/facets/more/lisp_format.rb

Lisp namespace.

### Methods

accumulate all? append assoc atom? car cdr cons consonto drop equal? exists? explode filter foldleft foldright format format implode length link list map member? null? pair! pair? pairlis prod reduce reverse set set_car! set_cdr! sum take zip

### Classes and Modules

Module Lisp::Format
Class Lisp::DottedPair

### Public Class methods

format(format, *args)

Apply lisp format.

### Public Instance methods

accumulate(fun, x, list)
all?(pred, list)
append(l, m)
assoc(x, list)
atom?(x)
car(pair)
cdr(pair)
cons(car, cdr)

Functional API

consonto(cdr, car)
drop(l, n)
equal?(l, m)
exists?(pred, list)
explode(string)
filter(pred, list)
foldleft(fun, x, list)

Alias for accumulate

foldright(fun, x, list)

Alias for reduce

format(format, *args)

See Lisp::format.

implode(list)
length(list)
link(lists)
list(*elms)
map(fun, list)
member?(x, list)
null?(x)
pair!(x)
pair?(x)
pairlis(l, m)
prod(list)
reduce(fun, x, list)
reverse(lists)
set(var, val, binding)
set_car!(pair, val)
set_cdr!(pair, val)
sum(list)
take(l, n)
zip(fun, l, m)

[Validate]